"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IMAPFetchFoldersOperation = void 0;
const tslib_1 = require("tslib");
const path = tslib_1.__importStar(require("path"));
// tslint:disable-next-line: no-var-requires
const bindings = require(path.join(__dirname, "../../lib/binding/trusted_mailcore2.node"));
// tslint:disable-next-line
const { IMAPFetchFoldersOperation: _IMAPFetchFoldersOperation } = bindings;
/**
 * IMAPFetchFoldersOperation Class
 *
 * @public
 */
class IMAPFetchFoldersOperation extends bindings.IMAPFetchFoldersOperation {
    constructor() {
        super();
        const handle = new _IMAPFetchFoldersOperation();
        this.handle = handle;
    }
    folders() {
        return this.handle.folders();
    }
}
exports.IMAPFetchFoldersOperation = IMAPFetchFoldersOperation;
//# sourceMappingURL=IMAPFetchFoldersOperation.js.map